summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2013-05-15 21:53:20 +0000
committerKarl Berry <karl@freefriends.org>2013-05-15 21:53:20 +0000
commitb6e841f7c21ce1f35576da58ee9263c182bb7130 (patch)
treec368b07f07e195ce6c0470490fdfe24613389cdf /Master
parentf6e1d9fa85c54742b7ac40117c1631cd744227d1 (diff)
ctanify (15may13)
git-svn-id: svn://tug.org/texlive/trunk@30490 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rw-r--r--Master/texmf-dist/doc/man/man1/ctanify.110
-rw-r--r--Master/texmf-dist/doc/man/man1/ctanify.man1.pdfbin15804 -> 15798 bytes
-rw-r--r--Master/texmf-dist/doc/support/ctanify/README2
-rw-r--r--Master/texmf-dist/doc/support/ctanify/ctanify.pdfbin14665 -> 14809 bytes
-rwxr-xr-xMaster/texmf-dist/scripts/ctanify/ctanify10
5 files changed, 11 insertions, 11 deletions
diff --git a/Master/texmf-dist/doc/man/man1/ctanify.1 b/Master/texmf-dist/doc/man/man1/ctanify.1
index f2758913f57..caecf4691f8 100644
--- a/Master/texmf-dist/doc/man/man1/ctanify.1
+++ b/Master/texmf-dist/doc/man/man1/ctanify.1
@@ -1,4 +1,4 @@
-.\" Automatically generated by Pod::Man 2.1801 (Pod::Simple 3.05)
+.\" Automatically generated by Pod::Man 2.25 (Pod::Simple 3.16)
.\"
.\" Standard preamble:
.\" ========================================================================
@@ -124,7 +124,7 @@
.\" ========================================================================
.\"
.IX Title "CTANIFY 1"
-.TH CTANIFY 1 "2009-08-02" "v1.1" ""
+.TH CTANIFY 1 "2013-05-14" "v1.2" ""
.\" For nroff, turn off justification. Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
@@ -356,21 +356,21 @@ It probably does not work on Windows. Volunteers willing to help port
\&\fIzip\fR\|(1),
\&\fIlatex\fR\|(1),
Guidelines for uploading TDS-Packaged materials to \s-1CTAN\s0
-(<http://www.ctan.org/TDS\-guidelines.html>),
+(http://www.ctan.org/TDS\-guidelines.html <http://www.ctan.org/TDS-guidelines.html>),
A Directory Structure for T\h'-0.1667'\v'0.2'E\v'-0.2'\h'-0.125'X Files (<http://tug.org/tds/>),
.SH "AUTHOR"
.IX Header "AUTHOR"
Scott Pakin, \fIscott+ctify@pakin.org\fR
.SH "COPYRIGHT AND LICENSE"
.IX Header "COPYRIGHT AND LICENSE"
-Copyright 2009 Scott Pakin
+Copyright 2013 Scott Pakin
.PP
This work may be distributed and/or modified under the conditions of
the L\h'-0.36'\v'-0.15'\s-2A\s+2\v'0.15'\h'-0.15'T\h'-0.1667'\v'0.2'E\v'-0.2'\h'-0.125'X Project Public License, either version\ 1.3c of this
license or (at your option) any later version. The latest version of
this license is in
.PP
-<http://www.latex\-project.org/lppl.txt>
+http://www.latex\-project.org/lppl.txt <http://www.latex-project.org/lppl.txt>
.PP
and version\ 1.3c or later is part of all distributions of L\h'-0.36'\v'-0.15'\s-2A\s+2\v'0.15'\h'-0.15'T\h'-0.1667'\v'0.2'E\v'-0.2'\h'-0.125'X
version 2008/05/04 or later.
diff --git a/Master/texmf-dist/doc/man/man1/ctanify.man1.pdf b/Master/texmf-dist/doc/man/man1/ctanify.man1.pdf
index c2e30e4380d..6801ca10ccd 100644
--- a/Master/texmf-dist/doc/man/man1/ctanify.man1.pdf
+++ b/Master/texmf-dist/doc/man/man1/ctanify.man1.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/support/ctanify/README b/Master/texmf-dist/doc/support/ctanify/README
index ebd55a95f27..ff190b15477 100644
--- a/Master/texmf-dist/doc/support/ctanify/README
+++ b/Master/texmf-dist/doc/support/ctanify/README
@@ -35,7 +35,7 @@ ctanify.pdf ctanify documentation (PDF format)
Copyright and License
=====================
-Copyright 2009 Scott Pakin
+Copyright 2013 Scott Pakin
This work may be distributed and/or modified under the conditions of
the LaTeX Project Public License, either version 1.3c of this license
diff --git a/Master/texmf-dist/doc/support/ctanify/ctanify.pdf b/Master/texmf-dist/doc/support/ctanify/ctanify.pdf
index ceb23a27cbd..64caca9618e 100644
--- a/Master/texmf-dist/doc/support/ctanify/ctanify.pdf
+++ b/Master/texmf-dist/doc/support/ctanify/ctanify.pdf
Binary files differ
diff --git a/Master/texmf-dist/scripts/ctanify/ctanify b/Master/texmf-dist/scripts/ctanify/ctanify
index 5f9d68a5cf9..9084e6f85ab 100755
--- a/Master/texmf-dist/scripts/ctanify/ctanify
+++ b/Master/texmf-dist/scripts/ctanify/ctanify
@@ -7,7 +7,7 @@
use Cwd;
use File::Basename;
-use File::Copy;
+use File::Copy qw(cp);
use File::Find;
use File::Path;
use File::Spec;
@@ -19,7 +19,7 @@ use warnings;
use strict;
# Define some global variables.
-our $VERSION = "1.1"; # ctanify version number
+our $VERSION = "1.2"; # ctanify version number
my $progname = basename $0; # Name of this program
my $pkgname; # Base name of the package to create
my $miscify = 0; # 1=replace singletons with misc; 0=don't
@@ -238,7 +238,7 @@ foreach my $fname (@manifest) {
mkpath "$tdsdir/$subdir";
# Copy the specified file into the subdirectory.
- copy($fname, "$tdsdir/$subdir/" . basename $fname) || die "${progname}: Failed to copy $fname ($!)\n";
+ cp($fname, "$tdsdir/$subdir/" . basename $fname) || die "${progname}: Failed to copy $fname ($!)\n";
}
if ($miscify) {
# Replace package directories containing a single file with "misc".
@@ -308,7 +308,7 @@ foreach my $fname (@manifest) {
my ($namepart, $pathpart, $suffixpart) = fileparse($relname);
mkpath "$pkgdir/$pathpart";
my $targetfile = "$pkgdir/$pathpart/$namepart$suffixpart";
- copy($fname, $targetfile) || die "${progname}: Failed to copy $fname ($!)\n";
+ cp($fname, $targetfile) || die "${progname}: Failed to copy $fname ($!)\n";
}
if ($unixify) {
# Make all text files use Unix line endings.
@@ -638,7 +638,7 @@ Scott Pakin, I<scott+ctify@pakin.org>
=head1 COPYRIGHT AND LICENSE
-Copyright 2009 Scott Pakin
+Copyright 2013 Scott Pakin
This work may be distributed and/or modified under the conditions of
the LaTeX Project Public License, either S<version 1.3c> of this